Reply

Paging is not supported for this WAPI version

Member
Posts: 2
1452     0

Hello, I am interacting with an infoblox server api that appears to be using version 1.1 of the api. I was wondering where i could find the relevant documenation for that version? I was reading the latest docs but it seems that it isnt compatible with the version I am interacting with. 
When I run

http --verify no https://grid-master/wapi/v1.1/network\?_paging=1\&_return_as_object=1\&_max_results=1

 

I get 

 

{
    "Error": "AdmConProtoError: Paging is not supported for this WAPI version.",
    "code": "Client.Ibap.Proto",
    "text": "Paging is not supported for this WAPI version."
}

But if I try to not set the paging for the api I get

{'Error': 'AdmConProtoError: Result set too large (> 1000)', 'code': 'Client.Ibap.Proto', 'text': 'Result set too large (> 1000)'}

I was wondering if anyone knew of a solution that could help me extract all records or api documentation to the specific version for paging

 

 

Re: Paging is not supported for this WAPI version

Adviser
Posts: 110
1453     0

What version of code are you on?

Try this:

http --verify no https://grid-master/wapi/v2.7/network\?_paging=1\&_return_as_object=1\&_max_results=1

 

Follow me on LinkedIn: https://www.linkedin.com/in/sifbaksh
Twitter: https://twitter.com/sifbaksh

https://sifbaksh.com

Re: Paging is not supported for this WAPI version

Techie
Posts: 5
1453     0

Hello,

 

Adding to the discussion, you can check all the WAPI versions supported by your grid using this command: 

curl -k --location --request GET 'https://grid-master/wapi/v1.1/?_schema' --header 'Authorization: Basic YWRtaW46aW5mb2Jsb3g='

In the response section, you will find the list of all the supported objects and supported versions.

 

Hope this helps! 

Thanks and Regards

Vedant Sethia

Re: Paging is not supported for this WAPI version

Member
Posts: 2
1453     0

Thanks everyone for the quick feedback! I was provided the version v1.1 from someone familiar with the system, and when I was reading the documentation I attempted to use v2.11 like it stated but got back a 
Version 2.11 not supported

Which gave me the impression I was stuck using v1.1

However, trying 2.7 as suggested, worked and using the list schemas supported also worked and allowed me to use as high as v2.10. Thank you all!

Re: Paging is not supported for this WAPI version

Techie
Posts: 10
1453     0

This syntax works in Postman

 

https://{{grid_master}}/wapi/v2.10.5/network?_max_results=1000&_paging=1&_return_as_object=1

Showing results for 
Search instead for 
Did you mean: 

Recommended for You